let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/99dhbmikjs7n5m3nyjxfrsr41gdcpr5z-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/ps9yni0ljpjba9z7gcpsvzjjhxv52ch3-coreutils-8.32/bin";
  bzip2 = "/nix/store/cfwnjpx17817796bskhziv22ja6mh5k1-bzip2-1.0.6.0.2-bin/bin/bzip2";
  gzip = "/nix/store/saan72yn7xj4zfz7y6d060mw5dy1c2b7-gzip-1.10/bin/gzip";
  xz = "/nix/store/xwr5g43d3i46fzjl3sxwhvc7lnak3kxb-xz-5.2.5-bin/bin/xz";
  tar = "/nix/store/r7gz1vh34s4xlihlk3c9wcqr0g0wg5a6-gnutar-1.34/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/ps9yni0ljpjba9z7gcpsvzjjhxv52ch3-coreutils-8.32/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/72aqi5g7f4fhgvgafbcqwcpqjgnczj48-nix-2.3.15/bin";
  nixPrefix = "/nix/store/72aqi5g7f4fhgvgafbcqwcpqjgnczj48-nix-2.3.15";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/72aqi5g7f4fhgvgafbcqwcpqjgnczj48-nix-2.3.15/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
